
// * @Mexi Liang
// * @version (a version number or a date)
// */

import java.util.*;
public class Inventory
{
    private List<Product> products =new ArrayList();
    private Map<Integer,Product> productMap;
    public Inventory(){
        products = new ArrayList();
        productMap = new TreeMap();
    } 

    public void add(Product product){

        products.add(product);
    }

    public List<Product> getProducts(){

        return products;
    }

    public int getTotalQuantity(){
        int total = 0;
        for (Product p : products){

            total = total + p.getQuantity();
        }

        return total;
    }

    public Product getProductById(int id){

        return productMap.get(id);

    }
}
