

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import java.util.List;
/**
 * The test class InventoryTest.
 *
 * @author  (your name)
 * @version (a version number or a date)
 */
public class InventoryTest
{
    @Test
    public void testAddInventory(){
    Inventory inventory = new Inventory();
    Product product = new Product();
    
    inventory.add(product);
    
    List<Product> products = inventory.getProducts();
    Product actualProduct = products.get(0);
    assertEquals(product,actualProduct);
    }
    
    @Test
    public void testTotalQuantity(){
    Inventory inventory = new Inventory();
    Product tea = new Product(1,1.99,10);
    Product waterBottle = new Product(2,8.99,6);
    inventory.add(tea);
    inventory.add(waterBottle);
    
    int actualQuantity = inventory.getTotalQuantity();
    int expectedQuantity = 16;
    assertEquals(16, actualQuantity);
    }
    
    @Test
    public void testGetProductById(){
    Inventory inventory = new Inventory();
    int id = 7788;
    Product tea = new Product(1,1.99,10);
    Product actualProduct = inventory.getProductById(id);
    assertEquals(7788,actualProduct);
    
    }
}
